<?php 
	
	// var_dump($_POST);
	// die();

	error_reporting(0);
	ini_set(“display_errors”, 0);
	set_time_limit(0);

	if($_POST['status'] == "salvar"){

		include "conexao.php";

		$dados = $_POST['dados'];
		$dados_cli = $_POST['dados_cli'];

		$today = date('d-m-Y');

		$_POST['valor_financiado'] = round($_POST['valor_financiado'], 2);


		$calc_intermediaria;

		$dados[2][0][1] == '' ? $calc_intermediaria = 0 : $calc_intermediaria = $dados[2][0][1];

		$query = mysqli_query($db, "INSERT INTO `simulacao_venda`(`cliente`, `corretor`, `lote`, `status`, `valor_entrada`, `data_entrada`, `valor_intermediaria`, `data_intermediaria`, `valor_financiamento`, `data_financiamento`, `plano_pagamento`, `correcao_indice`, `desconto`, `forma_pgto`, `inter_periodo`) VALUES ($dados_cli[2],$dados_cli[0],$dados_cli[1],1, '".$_POST['valor_entrada']."', '', '', '', '".$_POST['valor_financiado']."', '', '', '".$_POST['indice_correcao']."', '', '".$_POST['forma_pgto']."', '')")or die(mysqli_error($db));


		$simulacao = mysqli_insert_id($db);

		foreach ($dados as $key => $value) {

			if($key == 0 && $value[0] != 0){

				$value[0] = round($value[0], 2);
				$query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$value[0]','$today','001/001', 'Parcela Sinal')")or die(mysqli_error($db));
			}elseif($key == 1){

				$total_dias = 0;

				foreach ($value as $chave => $valor) {
					for ($i=1; $i <= $valor[0]; $i++) { 

						$value[1] = round($value[1], 2);
						
						$seq = str_pad($i , 3 , '0' , STR_PAD_LEFT).'/'.str_pad($valor[0] , 3 , '0' , STR_PAD_LEFT);
						
						if($i == 1){
							$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(date($valor[2]))));
						}else{
							$data_venc = date('d-m-Y', strtotime("+ ".$valor[3]." days", strtotime(date($data_venc))));
						}
						//$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(date($valor[2]))));

						if($i == 1){
							$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `data_entrada` = '$data_venc' WHERE `id` = $simulacao")or die(mysqli_error($db));
						}

						$query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$valor[1]','$data_venc','$seq', 'Parcela Entrada')")or die(mysqli_error($db));
					}
				}
			}elseif($key == 2){
				$total_dias = 0;

				$aux = count($value);

				foreach ($value as $chave => $valor) {

					for ($i=1; $i <= $valor[0]; $i++) { 

						$value[1] = round($value[1], 2);
						
						$seq = str_pad($i , 3 , '0' , STR_PAD_LEFT).'/'.str_pad($valor[0] , 3 , '0' , STR_PAD_LEFT);
						$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(date($valor[2]))));						

						if($valor[1] != ''){

							if($i == 1){
								$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `data_intermediaria` = '$data_venc', `valor_intermediaria` = '".$_POST['valor_intermediaria']."', `inter_periodo` = $valor[3] WHERE `id` = $simulacao")or die(mysqli_error($db));
							}

							$query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$valor[1]','$data_venc','$seq', 'Parcela Intermediaria')")or die(mysqli_error($db));
						}
						
					}
				}

				if(isset($dados[4]) && $dados[4] != 0 ){

					$data_venc = date('d-m-Y', strtotime("+ ".($i)." month", strtotime(date($valor[2]))));
					$query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$dados[4]','$data_venc','1/1', 'Parcela Unica')")or die(mysqli_error($db));

				}
				if(isset($dados[5])){
					$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `desconto` = '$dados[5]' WHERE `id` = $simulacao")or die(mysqli_error($db));
				}

			}elseif($key == 3){

				$aux_total = 0;
				$aux = count($value);

				$aux == 1 ? $aux = '' : '';

				foreach ($value as $chave => $valor) {

					if($chave == 0){
						$aux_master =date('d-m-Y', strtotime(date($valor[2])));
						$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `data_financiamento` = '$aux_master' WHERE `id` = $simulacao")or die(mysqli_error($db));
					}

					for ($i=1; $i <= $valor[0]; $i++) { 

						$aux_total++;

						$value[1] = round($value[1], 2);
						
						if($aux != ''){

							// var_dump($valor);

							if($_POST['forma_pgto'] == "avista"){
								if($i == 1){
									$seq = str_pad($aux_total , 3 , '0' , STR_PAD_LEFT).'/'.str_pad(1 , 3 , '0' , STR_PAD_LEFT);
								}else{
									$seq = str_pad(($aux_total - 1) , 3 , '0' , STR_PAD_LEFT).'/'.str_pad(($aux - 1 ), 3 , '0' , STR_PAD_LEFT);
								}
							}else{
								$seq = str_pad($aux_total , 3 , '0' , STR_PAD_LEFT).'/'.str_pad($aux , 3 , '0' , STR_PAD_LEFT);
							}

							if($i == 1){
								$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `plano_pagamento` = '$aux' WHERE `id` = $simulacao")or die(mysqli_error($db));
							}
						}else{

							$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(($valor[2]))));
							// $seq = str_pad($aux_total , 3 , '0' , STR_PAD_LEFT).'/'.str_pad($valor[0] , 3 , '0' , STR_PAD_LEFT);

							if($_POST['forma_pgto'] == "avista"){
								if($i == 1){
									$seq = str_pad($aux_total , 3 , '0' , STR_PAD_LEFT).'/'.str_pad(1 , 3 , '0' , STR_PAD_LEFT);
								}else{
									$seq = str_pad(($aux_total - 1) , 3 , '0' , STR_PAD_LEFT).'/'.str_pad(($valor[0] - 1 ), 3 , '0' , STR_PAD_LEFT);
								}
							}else{
								$seq = str_pad($aux_total , 3 , '0' , STR_PAD_LEFT).'/'.str_pad($valor[0] , 3 , '0' , STR_PAD_LEFT);
							}

							if($i == 1){
								$query = mysqli_query($db, "UPDATE `simulacao_venda` SET `plano_pagamento` = '$valor[0]' WHERE `id` = $simulacao")or die(mysqli_error($db));
							}
						}

						if($_POST['forma_pgto'] == "avista"){
							if($i == 1){
								$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(($valor[2]))));
							}else{
								$data_venc = date('d-m-Y', strtotime("+ ".($i-2)." month", strtotime(($valor[3]))));
							}
						}else{
							$data_venc = date('d-m-Y', strtotime("+ ".($i-1)." month", strtotime(($valor[2]))));
						}

                        
						if($_POST['forma_pgto'] == "avista"){
						    $query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$valor[1]','$data_venc','$seq', 'Parcela Sinal')")or die(mysqli_error($db));
						}else{
						    $query = mysqli_query($db, "INSERT INTO `simulacao_parcela`(`id_venda`, `valor`, `data_vencimento`, `num_sequencia`, `tipo_parcela`) VALUES ($simulacao,'$valor[1]','$data_venc','$seq', 'Parcela Financiamento')")or die(mysqli_error($db));
						}
					}
				}
			}
		}


		echo json_encode($simulacao);
	}

?>